Subject: Re: [XFRM]: xfrm_user: fix selector family initialization

From: Patrick McHardy <[email-masked]>
Date: Thu, 10 Apr 2008 02:55:46 +0200

Kazunori MIYAZAWA wrote:
> Patrick McHardy wrote:
>> Kazunori MIYAZAWA wrote:
>>>
>>> Sorry, I missed the thread.
>>> I have no idea to solve the regression.
>>
>>
>> Wouldn't explicitly initializing the SA family for
>> inter-family tunnels work?
> 
> I guess it is same as the original Herbert's patch.
> It needs to explicitly initialize the family for inter-family tunnel.

Thanks for looking into this, I haven't seen Herbert's patch,
but I'd assume comparing the SA family to the policy family
would work for determining whether its an inter-family tunnel
in case the family in explicitly initialized. The only thing
that would need to be changed in the kernel is the check
in xfrm_init_state().